package redner_test

import (
	"testing"
	"time"

	redner "orus.io/orus-io/rednerd/lib"
)

func requireChanIsEmpty(t *testing.T, ch <-chan struct{}) {
	t.Helper()
	select {
	case <-ch:
		t.Fatal("chan should be empty")
	case <-time.After(time.Millisecond * 100):
	}
}

func requireChanIsNotEmpty(t *testing.T, ch <-chan struct{}) {
	t.Helper()
	select {
	case <-ch:
	case <-time.After(time.Millisecond * 100):
		t.Fatal("chan should NOT be empty")
	}
}

func TestCondChan(t *testing.T) {
	needStop := false
	ch, hit := redner.NewCondChan(func() bool { return needStop })

	requireChanIsEmpty(t, ch)
	hit()
	requireChanIsNotEmpty(t, ch)
	requireChanIsEmpty(t, ch)

	hit()
	hit()

	requireChanIsNotEmpty(t, ch)
	requireChanIsEmpty(t, ch)

	needStop = true

	hit()

	requireChanIsEmpty(t, ch)
}
