// Code generated by go-swagger; DO NOT EDIT.

package user_management

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"orus.io/orus-io/rednerd/models"
)

// UserApikeyDeleteNoContentCode is the HTTP code returned for type UserApikeyDeleteNoContent
const UserApikeyDeleteNoContentCode int = 204

/*UserApikeyDeleteNoContent The api key was successfully deleted

swagger:response userApikeyDeleteNoContent
*/
type UserApikeyDeleteNoContent struct {
}

// NewUserApikeyDeleteNoContent creates UserApikeyDeleteNoContent with default headers values
func NewUserApikeyDeleteNoContent() *UserApikeyDeleteNoContent {

	return &UserApikeyDeleteNoContent{}
}

// WriteResponse to the client
func (o *UserApikeyDeleteNoContent) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(204)
}

// UserApikeyDeleteUnauthorizedCode is the HTTP code returned for type UserApikeyDeleteUnauthorized
const UserApikeyDeleteUnauthorizedCode int = 401

/*UserApikeyDeleteUnauthorized Unauthorized

swagger:response userApikeyDeleteUnauthorized
*/
type UserApikeyDeleteUnauthorized struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserApikeyDeleteUnauthorized creates UserApikeyDeleteUnauthorized with default headers values
func NewUserApikeyDeleteUnauthorized() *UserApikeyDeleteUnauthorized {

	return &UserApikeyDeleteUnauthorized{}
}

// WithPayload adds the payload to the user apikey delete unauthorized response
func (o *UserApikeyDeleteUnauthorized) WithPayload(payload *models.Error) *UserApikeyDeleteUnauthorized {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user apikey delete unauthorized response
func (o *UserApikeyDeleteUnauthorized) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserApikeyDeleteUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(401)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

// UserApikeyDeleteNotFoundCode is the HTTP code returned for type UserApikeyDeleteNotFound
const UserApikeyDeleteNotFoundCode int = 404

/*UserApikeyDeleteNotFound the user or key does not exist

swagger:response userApikeyDeleteNotFound
*/
type UserApikeyDeleteNotFound struct {
}

// NewUserApikeyDeleteNotFound creates UserApikeyDeleteNotFound with default headers values
func NewUserApikeyDeleteNotFound() *UserApikeyDeleteNotFound {

	return &UserApikeyDeleteNotFound{}
}

// WriteResponse to the client
func (o *UserApikeyDeleteNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(404)
}

/*UserApikeyDeleteDefault generic error response

swagger:response userApikeyDeleteDefault
*/
type UserApikeyDeleteDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserApikeyDeleteDefault creates UserApikeyDeleteDefault with default headers values
func NewUserApikeyDeleteDefault(code int) *UserApikeyDeleteDefault {
	if code <= 0 {
		code = 500
	}

	return &UserApikeyDeleteDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the user apikey delete default response
func (o *UserApikeyDeleteDefault) WithStatusCode(code int) *UserApikeyDeleteDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the user apikey delete default response
func (o *UserApikeyDeleteDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the user apikey delete default response
func (o *UserApikeyDeleteDefault) WithPayload(payload *models.Error) *UserApikeyDeleteDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user apikey delete default response
func (o *UserApikeyDeleteDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserApikeyDeleteDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
